POSIX_SPAWNATTR_SETSIGMASK(3)

NAME
posix_spawnattr_setsigmask posix_spawnattr_getsigmask - set or get the spawn-sigmask attribute on a posix_spawnattr_t

SYNOPSIS
#include <spawn.h>
int
posix_spawnattr_setsigmask(posix_spawnattr_t *restrict attr, const sigset_t *restrict sigmask);
int
posix_spawnattr_getsigmask(const posix_spawnattr_t *restrict attr, sigset_t *restrict sigmask);

DESCRIPTION
The posix_spawnattr_setsigmask() function sets the sigmask on the attributes object referenced by attr.

The posix_spawnattr_getsigmask() function retrieves the sigmask on the attributes object referenced by attr.

The argument sigmask is the initial signal mask to be set for the new process on creation if the POSIX_SPAWN_SETSIGMASK flag is set in the posix_spawnattr_t. It's default value must be set via a call to posix_spawnattr_setflags(3) or the behaviour is undefined.

RETURN VALUES
On success, these functions return 0; on failure they return an error number from <errno.h>. Additionally, if successful, posix_spawnattr_getsigmask() will modify the contents of the sigmask parameter with the current attribute value.

ERRORS
These functions may fail if:

[EINVAL]
    The value specified by attr is invalid.

[EINVAL]
    The value of attr is invalid.

SEE ALSO
posix_spawn(2), posix_spawnp(2), posix_spawnattr_init(3), posix_spawnattr_destroy(3), posix_spawnattr_setflags(3)

STANDARDS
susv3 [SPN]

HISTORY
The posix_spawnattr_setsigmask() and posix_spawnattr_getsigmask() function calls appeared in susv3 [SPN].